/*
 * Copyright 2026 Oleg Borodin <onborodin@gmail.com>
 *
 * This work is published and licensed under a Creative Commons
 * Attribution-NonCommercial-NoDerivatives 4.0 International License.
 *
 * Distribution of this work is permitted, but commercial use and
 * modifications are strictly prohibited.
 */
package main

import (
	"os"

	"helmet/app/logger"
	"helmet/cmd/minilbd/starter"
)

func main() {
	log := logger.NewLogger("main")
	sta := starter.NewStarter()
	err := sta.Exec()
	if err != nil {
		log.Errorf("%v", err)
		os.Exit(1)
	}
	os.Exit(0)
}
